Page MenuHomePhabricator

Wikimaniawiki: enable VisualEditor in the "2019:" namespace
Closed, ResolvedPublic

Description

Could we please have the ability to display the visual editor edit tabs at Wikimaniawiki in the 2019: namespace

Local discussion https://wikimania.wikimedia.org/wiki/special:permalink/12665#VisualEditor

Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 9:23 AM
Billinghurst renamed this task from Wikimaniawiki: activate the VisualEditor tabs to Wikimaniawiki: activate the VisualEditor tabs in 2019: namespace.Mar 19 2019, 9:25 AM
Billinghurst updated the task description. (Show Details)
Fuzheado added a subscriber: Fuzheado.
Ammarpad claimed this task.Mar 19 2019, 5:52 PM
Ammarpad triaged this task as Normal priority.
Esanders renamed this task from Wikimaniawiki: activate the VisualEditor tabs in 2019: namespace to Wikimaniawiki: enable VisualEditor in the "2019:" namespace.Mar 20 2019, 12:24 AM
Esanders added a subscriber: Jdforrester-WMF.

Change 497682 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Wikimaniawiki: Enable visual editor in 2019 namespace

https://gerrit.wikimedia.org/r/497682

@Ammarpad Thanks for the patch. I note that it doesn't seem to be scheduled for deployment (https://wikitech.wikimedia.org/wiki/Deployments). Do you want to handle this yourself, or is it okay if I do it?

matmarex claimed this task.Mar 28 2019, 7:55 PM
matmarex added a subscriber: Ammarpad.

I went ahead and scheduled it for deployment today: https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20190328T2300

Change 497682 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikimaniawiki: Enable visual editor in 2019 namespace

https://gerrit.wikimedia.org/r/497682

Sorry, had to revert. :-( Bug in VE. We'll fix it and get it deployed next week.

Change 499915 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [Wikimania] Enable VisualEditor in the 2019 namespace via ID

https://gerrit.wikimedia.org/r/499915

Change 499915 merged by jenkins-bot:
[operations/mediawiki-config@master] [Wikimania] Enable VisualEditor in the 2019 namespace via ID

https://gerrit.wikimedia.org/r/499915

Actually "bug" in PHP: $array["2019"] = true; is the same as $array[2019] = true; so 2019 gets treated as a namespace ID, not a namespace name :/

Mentioned in SAL (#wikimedia-operations) [2019-03-28T21:18:50Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [Wikimania] Enable VisualEditor in the 2019 namespace T218645 (duration: 00m 50s)

Jdforrester-WMF closed this task as Resolved.Mar 28 2019, 9:19 PM
Jdforrester-WMF removed a project: Patch-For-Review.

We worked around it with a quick hack rather than have people wait. Happy editing.

matmarex removed matmarex as the assignee of this task.Mar 28 2019, 10:03 PM